Package org.apache.sling.api.wrappers

# Class RequestPathInfoWrapper

java.lang.Object
org.apache.sling.api.wrappers.RequestPathInfoWrapper

All Implemented Interfaces:
  `RequestPathInfo`

public class RequestPathInfoWrapper extends Object implements RequestPathInfo
The `RequestPathInfoWrapper` class is a default wrapper class around a `RequestPathInfo` which may be extended to amend the functionality of the original request path info object.

## Constructor Summary

Constructors
Constructor
Description
`RequestPathInfoWrapper(@NotNull RequestPathInfo delegate)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getExtension()`
Returns the extension from the URL or `null` if the request URL does not contain an extension.
`@NotNull RequestPathInfo`
`getRequestPathInfo()`
Returns the original `RequestPathInfo` object wrapped by this object.
`@NotNull String`
`getResourcePath()`
Return the "resource path" part of the URL, what comes before selectors, extension and suffix.
`@NotNull String[]`
`getSelectors()`
Returns the selectors decoded from the request URL as an array of strings.
`@Nullable String`
`getSelectorString()`
Returns the selectors decoded from the request URL as string.
`@Nullable String`
`getSuffix()`
Returns the suffix part of the URL or `null` if the request URL does not contain a suffix.
`@Nullable Resource`
`getSuffixResource()`
Returns the resource addressed by the suffix or null if the request does not have a suffix or the suffix does not address an accessible resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestPathInfoWrapper

public RequestPathInfoWrapper(@NotNull @NotNull RequestPathInfo delegate)

## Method Details

### getRequestPathInfo

@NotNull public @NotNull RequestPathInfo getRequestPathInfo()
Returns the original `RequestPathInfo` object wrapped by this object.

Returns:
  The wrapped request path info.

### getResourcePath

@NotNull public @NotNull String getResourcePath()
Description copied from interface: `RequestPathInfo`
Return the "resource path" part of the URL, what comes before selectors, extension and suffix. This string is part of the request URL and need not be equal to the `Resource.getPath()`. Rather it is equal to the `resolution path metadata property` of the resource.

Specified by:
  `getResourcePath` in interface `RequestPathInfo`
Returns:
  The resource path

### getExtension

@Nullable public @Nullable String getExtension()
Description copied from interface: `RequestPathInfo`
Returns the extension from the URL or `null` if the request URL does not contain an extension.

Decomposition of the request URL is defined in the Decomposition of a Request URL above.

Specified by:
  `getExtension` in interface `RequestPathInfo`
Returns:
  The extension from the request URL.

### getSelectorString

@Nullable public @Nullable String getSelectorString()
Description copied from interface: `RequestPathInfo`
Returns the selectors decoded from the request URL as string. Returns `null` if the request has no selectors.

Decomposition of the request URL is defined in the Decomposition of a Request URL above.

Specified by:
  `getSelectorString` in interface `RequestPathInfo`
Returns:
  The selector string or `null`
See Also:
  - `RequestPathInfo.getSelectors()`

### getSelectors

@NotNull public @NotNull String[] getSelectors()
Description copied from interface: `RequestPathInfo`
Returns the selectors decoded from the request URL as an array of strings. This array is derived from the `selector string` by splitting the string on dots. Returns an empty array if the request has no selectors.

Decomposition of the request URL is defined in the Decomposition of a Request URL above.

Specified by:
  `getSelectors` in interface `RequestPathInfo`
Returns:
  An array of selectors
See Also:
  - `RequestPathInfo.getSelectorString()`

### getSuffix

@Nullable public @Nullable String getSuffix()
Description copied from interface: `RequestPathInfo`
Returns the suffix part of the URL or `null` if the request URL does not contain a suffix.

Decomposition of the request URL is defined in the Decomposition of a Request URL above.

Specified by:
  `getSuffix` in interface `RequestPathInfo`
Returns:
  The suffix part of the request URL.

### getSuffixResource

@Nullable public @Nullable Resource getSuffixResource()
Description copied from interface: `RequestPathInfo`
Returns the resource addressed by the suffix or null if the request does not have a suffix or the suffix does not address an accessible resource.

The suffix is expected to be the absolute path to the resource suitable as an argument to the `ResourceResolver.getResource(String)` method.

Specified by:
  `getSuffixResource` in interface `RequestPathInfo`
Returns:
  The suffix resource or `null`.